/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            fow.h
 *
 *  Fri Oct 14 22:00:43 CEST 2011
 *  Copyright 2011 Jonas Suhr Christensen
 *  jsc@umbraculum.org
 ****************************************************************************/

/*
 *  This file is part of xboard-fow.
 *
 *  Glpr is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Glpr is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Glpr; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */

#ifndef _FOW
#define _FOW

#include "common.h"
#include "backend.h"

#define White(piece)((int)(piece) < (int)BlackPawn)
#define Black(piece) ((int)(piece) > (int)WhiteKing) && ((int)(piece) < (int)EmptySquare)

extern GameInfo gameInfo;

void compVisibleBoard(Board board, int(*vb)[BOARD_WIDTH]);

#endif/*_FOW*/

